// AmpelController2.java                        MM 2007
// MVC-Controller

import java.awt.event.*;             // Listener, Event
import Tools.MVC.*;                  // SuperController

/**
 * Controller zum AmpelView2.
 */

public class AmpelController2
  extends SuperController
  implements ActionListener
{
/**
 * Installation eines WindowAdapter.
 */
  private WindowAdapter closer;

/* --------------------------------------------------*/
                                    // MVC-Installation
/**
 * Konstruktor, definiert Abbruch des Programms.
 */
  public AmpelController2()
  {
    /**
     * closer ist Objekt einer anonymen inneren Klasse,
     * abgeleitet von der Klasse WindowAdapter,
     * sie ueberschreibt Methode windowClosing.
     */
    closer = new WindowAdapter()
    {
    /**
     * Ereignisverarbeitung Schliessen des Fensters,
     * Programm wird beendet.
     */
      public void windowClosing( WindowEvent we)
      {
        view.release();
      }
    };
  }

/**
 * Uebergibt WindowAdaopter.
 */
  public WindowAdapter getWindowCloser()
  {
    return closer;
  }

/* ------------------------------------------------- */
                                // handleEvent-Methoden
/**
 * Ereignisverarbeitung.
 */
  public void actionPerformed( ActionEvent ae)
  {
// Ampel schalten
    if( ae.getActionCommand().equals( AmpelView2.ACTION_SET))
      ((AmpelModel)model).setLight();
// Abbruch des Programms
    if( ae.getActionCommand().equals( AmpelView2.ACTION_QUIT))
      view.release();
  }
}
